org.eclipse.aether.util.graph.traverser

## Class FatArtifactTraverser

- java.lang.Object
- - org.eclipse.aether.util.graph.traverser.FatArtifactTraverser

- All Implemented Interfaces:
    DependencyTraverser

      public final class FatArtifactTraverser
      extends Object
      implements DependencyTraverser

  A dependency traverser that excludes the dependencies of fat artifacts from the traversal. Fat artifacts are artifacts that have the property `ArtifactProperties.INCLUDES_DEPENDENCIES` set to `true`.
  See Also:
    `Artifact.getProperties()`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FatArtifactTraverser()` Creates a new instance of this dependency traverser.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DependencyTraverser` | `deriveChildTraverser(DependencyCollectionContext context)` Derives a dependency traverser that will be used to decide whether the transitive dependencies of the dependency given in the collection context shall be traversed.
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`
    `boolean` | `traverseDependency(Dependency dependency)` Decides whether the dependencies of the specified dependency should be traversed.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FatArtifactTraverser

          public FatArtifactTraverser()

      Creates a new instance of this dependency traverser.

  - ### Method Detail

    - #### traverseDependency

          public boolean traverseDependency(Dependency dependency)

      Description copied from interface: `DependencyTraverser`
      Decides whether the dependencies of the specified dependency should be traversed.
      Specified by:
        `traverseDependency` in interface `DependencyTraverser`
      Parameters:
        `dependency` - The dependency to check, must not be `null`.
      Returns:
        `true` if the dependency graph builder should recurse into the specified dependency and process its dependencies, `false` otherwise.

    - #### deriveChildTraverser

          public DependencyTraverser deriveChildTraverser(DependencyCollectionContext context)

      Description copied from interface: `DependencyTraverser`
      Derives a dependency traverser that will be used to decide whether the transitive dependencies of the dependency given in the collection context shall be traversed. When calculating the child traverser, implementors are strongly advised to simply return the current instance if nothing changed to help save memory.
      Specified by:
        `deriveChildTraverser` in interface `DependencyTraverser`
      Parameters:
        `context` - The dependency collection context, must not be `null`.
      Returns:
        The dependency traverser for the target node or `null` if dependencies should be unconditionally traversed in the sub graph.

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2010-2013 The Eclipse Foundation. All Rights Reserved.